Create a workflow

Base URL
https://{kibana_url}
  • POST /api/workflows/workflow
  • POST /s/{space_id}/api/workflows/workflow
Auth

Create a new workflow from a YAML definition. The YAML is validated and parsed before the workflow is saved. An optional custom ID can be provided.

Required authorization

Privileges workflowsManagement:create

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

id string · min length: 3 · max length: 255 · pattern: ^[a-z0-9]([a-z0-9-]*[a-z0-9])?$
yaml string · max length: 1048576 required

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}